Package org.eclipse.emf.cdo.server

# Class CDOServerImporter.XML

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerImporter
org.eclipse.emf.cdo.server.CDOServerImporter.XML

All Implemented Interfaces:
  `CDOServerExporter.XMLConstants`

Enclosing class:
  `CDOServerImporter`

public static class CDOServerImporter.XML extends CDOServerImporter implements CDOServerExporter.XMLConstants
An `importer` that reads and interprets XML output created by an `XML exporter`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

`CDOServerImporter.Binary, CDOServerImporter.Handler, CDOServerImporter.Handler2, CDOServerImporter.XML`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.XMLConstants

`BLOB, BRANCH, BRANCH_ID, BRANCH_NAME, BRANCH_PARENT, BRANCH_TIME, CLOB, COMMIT, COMMIT_BRANCH, COMMIT_COMMENT, COMMIT_PREVIOUS, COMMIT_TIME, COMMIT_USER, COMMITS, FEATURE, FEATURE_ID, FEATURE_INNER_FEATURE, FEATURE_INNER_TYPE, FEATURE_ISNULL, FEATURE_ISSET, FEATURE_NAME, FEATURE_SIZE, FEATURE_TYPE, FEATURE_VALUE, INSTANCES, LOB_ID, LOB_SIZE, LOBS, MERGE_SOURCE_BRANCH, MERGE_SOURCE_TIME, MODELS, PACKAGE_INFO, PACKAGE_INFO_URI, PACKAGE_UNIT, PACKAGE_UNIT_DATA, PACKAGE_UNIT_ID, PACKAGE_UNIT_TIME, PACKAGE_UNIT_TYPE, REPOSITORY, REPOSITORY_COMMITTED, REPOSITORY_CREATED, REPOSITORY_EXPORT_BRANCH, REPOSITORY_EXPORT_TIME, REPOSITORY_NAME, REPOSITORY_ROOT, REPOSITORY_UUID, REVISION, REVISION_CLASS, REVISION_CONTAINER, REVISION_DETACHED, REVISION_FEATURE, REVISION_ID, REVISION_RESOURCE, REVISION_REVISED, REVISION_TIME, REVISION_VERSION, TYPE_BLOB, TYPE_BYTE_ARRAY, TYPE_CLOB, TYPE_FEATURE_MAP`

## Constructor Summary

Constructors
Constructor
Description
`XML(IRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`importAll(InputStream in, CDOServerImporter.Handler handler)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerImporter

`getBranchPath, getRepository, getStatistics, getTimeStamp, importRepository, setBranchPath, setTimeStamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XML

public XML(IRepository repository)

## Method Details

### importAll

protected void importAll(InputStream in, CDOServerImporter.Handler handler) throws Exception

Specified by:
  `importAll` in class `CDOServerImporter`
Throws:
  `Exception`